Loading...
Searching...
No Matches
BALL::RelPositiveVdWSurface Class Reference

`#include <BALL/QSAR/surfaceDescriptors.h>`

Inheritance diagram for BALL::RelPositiveVdWSurface:

## Public Member Functions

Constructors and Destructors
| RelPositiveVdWSurface ()
| RelPositiveVdWSurface (const RelPositiveVdWSurface &rps)
virtual | ~RelPositiveVdWSurface ()
Assignment
RelPositiveVdWSurface & | operator= (const RelPositiveVdWSurface &rps)
Accessors
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SurfaceBase
| SurfaceBase ()
| SurfaceBase (const SurfaceBase &sb)
| SurfaceBase (const String &name)
| SurfaceBase (const String &name, const String &unit)
virtual | ~SurfaceBase ()
SurfaceBase & | operator= (const SurfaceBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Member Functions inherited from BALL::SurfaceBase
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor returns the fraction of the atomic SAS van der Waals surface, where the partial charge is positive. It is calculated by deviding the positive van der Waals area by the molecules van der Waals surface area.

Definition at line 241 of file surfaceDescriptors.h.

## Constructor & Destructor Documentation

## RelPositiveVdWSurface() [1/2]

BALL::RelPositiveVdWSurface::RelPositiveVdWSurface | ( |  | ) |

Default constructor

## RelPositiveVdWSurface() [2/2]

BALL::RelPositiveVdWSurface::RelPositiveVdWSurface | ( | const RelPositiveVdWSurface & | rps | ) |

Copy constructor

## ~RelPositiveVdWSurface()

virtual BALL::RelPositiveVdWSurface::~RelPositiveVdWSurface | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::RelPositiveVdWSurface::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## operator=()

RelPositiveVdWSurface & BALL::RelPositiveVdWSurface::operator= | ( | const RelPositiveVdWSurface & | rps | ) |

Assginment operator